Upstream information

CVE-2017-16852 at MITRE

Description

shibsp/metadata/DynamicMetadataProvider.cpp in the Dynamic MetadataProvider plugin in Shibboleth Service Provider before 2.6.1 fails to properly configure itself with the MetadataFilter plugins and does not perform critical security checks such as signature verification, enforcement of validity periods, and other checks specific to deployments, aka SSPCPP-763.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 7.1
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:N/C:C/I:C/A:N
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact Partial Complete
Integrity Impact Partial Complete
Availability Impact Partial None
CVSS v3 Scores
  SUSE
Base Score 7.4
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact None
SUSE Bugzilla entry: 1068689 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • libshibsp-lite7 >= 2.6.1-1.48
  • libshibsp7 >= 2.6.1-1.48
  • shibboleth-sp >= 2.6.1-1.48
  • shibboleth-sp-devel >= 2.6.1-1.48
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libshibsp-lite7
SUSE Linux Enterprise Server 12 SP2
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-2001
SUSE Linux Enterprise Server 12 SP3
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-2001
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-2001
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-2001
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-2001
SUSE Linux Enterprise Software Development Kit 12 SP2
  • shibboleth-sp >= 2.5.5-6.3.1
  • shibboleth-sp-devel >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-2001
SUSE Linux Enterprise Software Development Kit 12 SP3
  • shibboleth-sp >= 2.5.5-6.3.1
  • shibboleth-sp-devel >= 2.5.5-6.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-2001
openSUSE Leap 42.2
  • libshibsp-lite6 >= 2.5.5-6.3.1
  • libshibsp-lite6-debuginfo >= 2.5.5-6.3.1
  • libshibsp6 >= 2.5.5-6.3.1
  • libshibsp6-debuginfo >= 2.5.5-6.3.1
  • shibboleth-sp >= 2.5.5-6.3.1
  • shibboleth-sp-debuginfo >= 2.5.5-6.3.1
  • shibboleth-sp-debugsource >= 2.5.5-6.3.1
  • shibboleth-sp-devel >= 2.5.5-6.3.1
Patchnames:
openSUSE-2017-1348
openSUSE Leap 42.3
  • libshibsp-lite6 >= 2.5.5-9.2
  • libshibsp-lite6-debuginfo >= 2.5.5-9.2
  • libshibsp6 >= 2.5.5-9.2
  • libshibsp6-debuginfo >= 2.5.5-9.2
  • shibboleth-sp >= 2.5.5-9.2
  • shibboleth-sp-debuginfo >= 2.5.5-9.2
  • shibboleth-sp-debugsource >= 2.5.5-9.2
  • shibboleth-sp-devel >= 2.5.5-9.2
Patchnames:
openSUSE-2017-1348


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 12 SP2 shibboleth-sp Released
SUSE Linux Enterprise SDK 12 SP3 shibboleth-sp Released
SUSE Linux Enterprise Server 12 SP1 LTSS shibboleth-sp Affected
SUSE Linux Enterprise Server 12 SP2 shibboleth-sp Released
SUSE Linux Enterprise Server 12 SP3 shibboleth-sp Released